Bug 480059 - Podslueth hal callout AVC denials due to mono execstack
Podslueth hal callout AVC denials due to mono execstack
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 14:55 EST by Todd Zullinger
Modified: 2009-11-18 05:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:53:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Zullinger 2009-01-14 14:55:46 EST
Podsleuth ships a hal callout that runs when an iPod is connected. There is already some policy to allow it to function cleanly. However, it still produces one AVC denial each time it runs:

type=AVC msg=audit(1231370741.744:256): avc:  denied  { execstack } for  pid=1521 comm="mono" scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0
 tclass=process
type=SYSCALL msg=audit(1231370741.744:256): arch=40000003 syscall=125 success=yes exit=0 a0=bfd5f000 a1=1000 a2=1000007 a3=fffff000 items=0 ppid=1518 pid=1521 auid=4294967295 ui
d=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mono" exe="/usr/bin/mono" subj=system_u:system_r:podsleuth_t:s0 key=(null)

Unfortunately, I don't know if this needs to be allowed or if it can be dontaudited.
Comment 1 Daniel Walsh 2009-01-15 11:06:45 EST
Miroslav this is fine to add.
Comment 2 Miroslav Grepl 2009-01-19 15:54:16 EST
Fixed in selinux-policy-3.5.13-40.fc10.noarch
Comment 3 Bug Zapper 2009-11-18 05:45:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.